libebook::FictionBook2BodyContext Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FictionBook2BodyContext Class Reference

`#include <FictionBook2BlockContext.h>`

Inheritance diagram for libebook::FictionBook2BodyContext:

## Public Member Functions
| FictionBook2BodyContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector)
Public Member Functions inherited from libebook::FictionBook2NodeContextBase
| FictionBook2NodeContextBase (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent. More...
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent. More...
FictionBook2Collector * | getCollector () const
| Get the collector. More...
FictionBook2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0
virtual FictionBook2XMLParserContext * | leaveContext () const =0
| Destroy this context and return parent. More...
virtual FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns)=0
| Create a context for parsing a child element. More...
virtual void | startOfElement ()=0
| Signalize the start of an element. More...
virtual void | endOfElement ()=0
| Signalize the end of an element. More...
virtual void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value)=0
| Process an attribute. More...
virtual void | endOfAttributes ()=0
| Signalize the end of attributes. More...
virtual void | text (const char *value)=0
| Process textual content of an element. More...

## Private Member Functions
FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns) override
| Create a context for parsing a child element. More...
void | startOfElement () override
| Signalize the start of an element. More...
void | endOfElement () override
| Signalize the end of an element. More...
void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value) override
| Process an attribute. More...

## Private Attributes
boost::optional< std::string > | m_lang

## Constructor & Destructor Documentation

## ◆ FictionBook2BodyContext()

libebook::FictionBook2BodyContext::FictionBook2BodyContext | ( | FictionBook2ParserContext * | parentContext,
|  | FictionBook2Collector * | collector
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libebook::FictionBook2BodyContext::attribute | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData * | ns,
|  | const char * | value
| ) |  |
| overrideprivatevirtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FictionBook2XMLParserContext.

## ◆ element()

FictionBook2XMLParserContext * libebook::FictionBook2BodyContext::element | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData & | ns
| ) |  |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfElement()

void libebook::FictionBook2BodyContext::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libebook::FictionBook2XMLParserContext.

## ◆ startOfElement()

void libebook::FictionBook2BodyContext::startOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FictionBook2XMLParserContext.

## Member Data Documentation

## ◆ m_lang

boost::optional<std::string> libebook::FictionBook2BodyContext::m_lang
| private

Referenced by attribute(), and element().

The documentation for this class was generated from the following files:

- FictionBook2BlockContext.h
- FictionBook2BlockContext.cpp